import _extends from "@babel/runtime/helpers/esm/extends";
import cx from 'classnames';
import PropTypes from 'prop-types';
import { naturalNumber } from '../prop-types.js';
import { ALIGNMENT, DESIGN } from '../settings.js';
import { BASE_CLASS_STEP_LABEL, BASE_CLASS_STEP_ICON, getIcon, getLabel } from './settings.js';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
var DefaultStep = function DefaultStep(_ref) {
  var _cx;
  var alignment = _ref.alignment,
    design = _ref.design,
    label = _ref.label,
    step = _ref.step,
    steps = _ref.steps,
    current = _ref.current,
    visited = _ref.visited,
    icon = _ref.icon,
    visitedIcon = _ref.visitedIcon,
    showLabel = _ref.showLabel,
    currentIcon = _ref.currentIcon;
  var resultingIcon = getIcon({
    design: design,
    visited: visited,
    current: current,
    step: step,
    icon: icon,
    visitedIcon: visitedIcon,
    currentIcon: currentIcon
  });
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx("div", {
      className: cx(BASE_CLASS_STEP_ICON),
      children: resultingIcon
    }), /*#__PURE__*/_jsx("div", _extends({
      className: cx([BASE_CLASS_STEP_LABEL, BASE_CLASS_STEP_LABEL + "--step-current-" + current], (_cx = {}, _cx[BASE_CLASS_STEP_LABEL + "--visible"] = showLabel, _cx))
    }, design === DESIGN.COMPRESSED && current && alignment === ALIGNMENT.HORIZONTAL && {
      style: {
        marginLeft: "calc(-" + (step - 1) * 100 + "% - " + (step - 1) * 8 + "px)"
      }
    }, design === DESIGN.COMPRESSED && current && alignment === ALIGNMENT.VERTICAL && {
      style: {
        marginTop: "calc(-" + (step - 1) * 100 + "% - " + (step - 1) * 8 + "px)"
      }
    }, {
      children: getLabel({
        steps: steps,
        step: step,
        design: design,
        label: label,
        current: current
      })
    }))]
  });
};
DefaultStep.displayName = 'DefaultStep';
export default DefaultStep;