import { BASE_CLASS, DESIGN } from '../settings.js';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
export var BASE_CLASS_STEP = BASE_CLASS + "Step";
export var BASE_CLASS_STEP_LABEL = BASE_CLASS_STEP + "Label";
export var BASE_CLASS_STEP_ICON = BASE_CLASS_STEP + "Icon";
export var getIcon = function getIcon(_ref) {
  var design = _ref.design,
    visited = _ref.visited,
    current = _ref.current,
    step = _ref.step,
    icon = _ref.icon,
    iconContext = _ref.iconContext,
    visitedIcon = _ref.visitedIcon,
    visitedIconContext = _ref.visitedIconContext,
    currentIcon = _ref.currentIcon,
    currentIconContext = _ref.currentIconContext;
  if (design === DESIGN.COMPRESSED) return null;else if (design === DESIGN.BASIC) return null;else if (visited && !current) {
    return visitedIcon || visitedIconContext || step;
  } else if (current && !visited) {
    return currentIcon || currentIconContext || step;
  }
  return icon || iconContext || step;
};
export var getLabel = function getLabel(_ref2) {
  var label = _ref2.label,
    steps = _ref2.steps,
    step = _ref2.step,
    design = _ref2.design,
    current = _ref2.current;
  if (design === DESIGN.DEFAULT) return label;
  if (design === DESIGN.BASIC) return label;
  if (design === DESIGN.COMPRESSED) return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx("span", {
      children: step + "/" + steps
    }), label && /*#__PURE__*/_jsxs("span", {
      children: [":\xA0", label]
    })]
  });
};